#
# spec file for package OpenOffice_org-libs-core (Version 3.1.0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define debug_package %{nil}
# as with # rhbz#465664 many thanks to pmladek
%define        __jar_repack %{nil}

Name:           OpenOffice_org-libs-core
Version:        3.1.1.1
Release:        2.3.moblin2
%define         ooo_build_version 3.1.1.1
%define         piece      libs-core
# version of the postgresql driver
%define         postgresql_version 0.7.6
#!BuildIgnore:  OpenOffice_org
BuildRequires:  OpenOffice_org-artwork-devel = %version
BuildRequires:  OpenOffice_org-libs-gui-devel = %version
BuildRequires:  ImageMagick ant ant-apache-regexp bison boost-devel ccache cups-devel curl-devel db4-devel flac-devel flex gnome-vfs2-devel gperf gtk2-devel icu java-devel krb5-devel libexif mono-devel neon-devel openldap-devel pam-devel perl-Archive-Zip perl-Compress-Zlib postgresql-devel python-devel  recode unixODBC-devel unzip xml-commons-apis zip
BuildRequires:  xorg-x11-server-devel
BuildRequires:  xorg-x11-proto-xproto
BuildRequires: xorg-x11-utils
BuildRequires: ORBit2-devel openssl-devel libjpeg-devel libxslt-devel
BuildRequires:  libSM-devel libICE-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXcursor-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires:  postgresql-devel
BuildRequires:  expat-devel
BuildRequires:  libicu-devel
BuildRequires:  gst-plugins-base-devel sablot-devel xalan-j2 xerces-j2 xml-commons-apis
%define	      ooo_prefix	%_libdir
%define	      ooo_home		ooo3
%define	      ooo_build_tag     ooo310-m19
License:        Artistic License; BSD 3-Clause; GPL v2 or later; LaTeX Public License (LPPL); LGPL v2.1 or later; LGPL v3 only; MOZILLA PUBLIC LICENSE (MPL/NPL); X11/MIT
Group:          Productivity/Office/Suite
AutoReqProv:    on
Requires:       OpenOffice_org-libs-gui = %version
Summary:        OpenOffice.org Core Libraries
Url:            http://www.openoffice.org/
Source0:        %ooo_build_tag-%piece.tar.bz2
Source1:        ooo-sdf-%piece.tar.bz2
# FIXME: temporary hack to fix split build
Patch990:       field-patch-split-build.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ppc

%description
This package provides core libraries used by all OpenOffice.org
modules.



%package -n OpenOffice_org-gnome
License:        LGPL v3 only
Summary:        GNOME Extensions for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       ooo:/usr/lib/ooo-1.9/program/libevoab2.so
Provides:       OpenOffice_org17-gnome
Requires:       OpenOffice_org = %version
Obsoletes:      OpenOffice_org17-gnome
Provides:       OpenOffice_org2-gnome
Obsoletes:      OpenOffice_org2-gnome

%description -n OpenOffice_org-gnome
This package contains some GNOME extensions for OpenOffice.org.



%package -n OpenOffice_org-kde
License:        LGPL v3 only
Summary:        KDE Extensions for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       OpenOffice_org17-kde
Requires:       OpenOffice_org = %version
Obsoletes:      OpenOffice_org17-kde
Provides:       OpenOffice_org2-kde
Obsoletes:      OpenOffice_org2-kde

%description -n OpenOffice_org-kde
This package contains some KDE extensions for OpenOffice.org.


%package -n OpenOffice_org-mailmerge
License:        LGPL v3 only
Summary:        Mail Merge Functionality for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       OpenOffice_org:%ooo_prefix/%ooo_home/program/mailmerge.py
Requires:       OpenOffice_org-pyuno = %version

%description -n OpenOffice_org-mailmerge
This module allows you to create form letters or send E-mail messages
to many recipients using OpenOffice.org office suite.



%package -n OpenOffice_org-base-drivers-postgresql
License:        LGPL v2.1 or later
Summary:        PostgreSQL Database Driver for OpenOffice.org
Group:          Productivity/Office/Suite
Requires:       OpenOffice_org-base = %version
Requires:       postgresql

%description -n OpenOffice_org-base-drivers-postgresql
This package allows to access PostgreSQL databases from OpenOffice.org
Base.



%package devel
Requires:       %name = %version
Requires:       OpenOffice_org-gnome = %version
Requires:       OpenOffice_org-kde = %version
Requires:       OpenOffice_org-mailmerge = %version
Requires:       OpenOffice_org-ure-devel = %version
Requires:       OpenOffice_org-libs-gui-devel = %version
License:        Artistic License; BSD 3-Clause; GPL v2 or later; LaTeX Public License (LPPL); LGPL v2.1 or later; LGPL v3 only; MOZILLA PUBLIC LICENSE (MPL/NPL); X11/MIT
Summary:        OpenOffice.org Core Libraries Development
Group:          Productivity/Office/Suite
AutoReqProv:    off

%description devel
This package allows developement based on the OpenOffice.org core
libraries API.



%package l10n-prebuilt
License:        LGPL v3 only
Summary:        Prebuilt OpenOffice.org Core Libraries Localizations
Group:          Productivity/Office/Suite
AutoReqProv:    off

%description l10n-prebuilt
This package includes the prebuilt localization of OpenOffice.org core
libraries. It is not intended for a real use. It needs to be repacked
to the real architecture independent package.

This is only a temporary solution until we have an easier way to build
the OpenOffice.org localizations separately.



%prep
%setup -q -a1 -n %ooo_build_tag-%piece
# hotfixes
mkdir -p ooo-build/hotfixes
cp %{P:990} ooo-build/hotfixes

%build
# setup env.
OPTFLAGS=`echo $CFLAGS|sed -e 's/-Os/-O2/g'`
export CFLAGS=$OPTFLAGS
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export VERBOSE=1
export EXTRA_BUILD_FLAGS=%{?jobs:-P%jobs}
export EXTRA_DMAKE_FLAGS="%{?jobs:-- -P%jobs}"
# FIXME: -Wl,--as-needed is enabled by default for openSUSE-11.2
# there are missing symbols when linking kde libraries now
# See http://fourier.suse.de/mlarch/SuSE/development-gcc/2009/development-gcc.2009.07/msg00024.html
unset LD_AS_NEEDED
# FIXME: start it several times to avoid strange paralel build problem in basic
#        missing org/openoffice/vba/XErrObject.hpp
#        same problem happens also in linguistic
$OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag || $OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag || $OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag

%install
# setup env.
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export DESTDIR=$RPM_BUILD_ROOT
$OO_TOOLSDIR/piece/install-generic %piece %ooo_build_tag
#suse_update_desktop_file ooo-extension-manager
# prune redundant files the scp2 likes to make for us
rm -Rf \
    "$DESTDIR/$OO_INSTDIR/basis-link" \
    "$DESTDIR/$OO_INSTDIR/ure" \
    "$DESTDIR/$OO_INSTDIR/basis3.1/program/services.rdb"
# FIXME: hack to install postgresql driver
mkdir -p $RPM_BUILD_ROOT%ooo_prefix/%ooo_home/share/extension/install
cp connectivity/unxlng*.pro/lib/postgresql-sdbc-%postgresql_version.zip \
   $RPM_BUILD_ROOT%ooo_prefix/%ooo_home/share/extension/install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%pre -n OpenOffice_org-base-drivers-postgresql
if test $1 = 2 ; then
    echo "Unregistering the older PostgreSQL driver from OpenOffice.org..."
    unopkg remove --shared org.openoffice.legacy.postgresql-sdbc-%postgresql_version.zip || true;
fi

%post -n OpenOffice_org-base-drivers-postgresql
echo "Registering the PostgreSQL driver in OpenOffice.org..."
unopkg add --shared %ooo_prefix/%ooo_home/share/extension/install/postgresql-sdbc-%postgresql_version.zip || true;

%preun -n OpenOffice_org-base-drivers-postgresql
if test $1 = 0 ; then
    echo "Unregistering the PostgreSQL driver from OpenOffice.org..."
    unopkg remove --shared org.openoffice.legacy.postgresql-sdbc-%postgresql_version.zip || true;
fi

%files -f files-%piece.txt
%defattr(-,root,root)
#%dir %ooo_prefix/%ooo_home/basis3.0
#%dir %ooo_prefix/%ooo_home/program
#%dir %ooo_prefix/%ooo_home/share
#%ooo_prefix/%ooo_home/basis3.0/*
#%ooo_prefix/%ooo_home/program/*
#%ooo_prefix/%ooo_home/share/*

%files devel
%defattr(-,root,root)
%dir %ooo_prefix/%ooo_home/solver
%ooo_prefix/%ooo_home/solver/*
%exclude %ooo_prefix/%ooo_home/solver/noarch
/usr/lib/ooo3/basis3.1/program/officehelper.pyc
/usr/lib/ooo3/basis3.1/program/officehelper.pyo
/usr/lib/ooo3/basis3.1/program/pythonscript.pyc
/usr/lib/ooo3/basis3.1/program/pythonscript.pyo
/usr/lib/ooo3/basis3.1/share/Scripts/python/Capitalise.pyc
/usr/lib/ooo3/basis3.1/share/Scripts/python/Capitalise.pyo
/usr/lib/ooo3/basis3.1/share/Scripts/python/HelloWorld.pyc
/usr/lib/ooo3/basis3.1/share/Scripts/python/HelloWorld.pyo
/usr/lib/ooo3/basis3.1/share/Scripts/python/pythonSamples/TableSample.pyc
/usr/lib/ooo3/basis3.1/share/Scripts/python/pythonSamples/TableSample.pyo

%files -f files-gnome.txt -n OpenOffice_org-gnome
%defattr(-,root,root)

%files -f files-kde.txt -n OpenOffice_org-kde
%defattr(-,root,root)


%files -f files-mailmerge.txt -n OpenOffice_org-mailmerge
%defattr(-,root,root)
/usr/lib/ooo3/basis3.1/program/mailmerge.pyc
/usr/lib/ooo3/basis3.1/program/mailmerge.pyo

%files -n OpenOffice_org-base-drivers-postgresql
%defattr(-,root,root)
%dir %ooo_prefix/%ooo_home
%dir %ooo_prefix/%ooo_home/share
%dir %ooo_prefix/%ooo_home/share/extension
%dir %ooo_prefix/%ooo_home/share/extension/install
%ooo_prefix/%ooo_home/share/extension/install/postgresql-sdbc-%postgresql_version.zip

%files l10n-prebuilt
%defattr(-,root,root)
%ooo_prefix/%ooo_home/solver/noarch

%changelog
* Wed Aug 26 2009 pmladek@suse.cz
- updated to the milestone ooo310-m19
- updated ooo-build to version 3.1.1.1 (3.1.1-rc1)
* Tue Aug 18 2009 pmladek@suse.cz
- updated to the milestone ooo310-m18
- updated ooo-build to version 3.1.0.99.3 (3.1.1-beta3)
* Tue Aug  4 2009 pmladek@suse.cz
- updated to the milestone ooo310-m17
- updated ooo-build to version 3.1.0.99.2 (3.1.1-beta2)
- updated extra localizations sources: bg el mk nb nn sk sl
* Mon Jul 27 2009 pmladek@suse.cz
- set SUSE_ASNEEDED=0 to fix linking with KDE libs in Factory
* Thu Jul 23 2009 pmladek@suse.cz
- updated to the milestone ooo310-m16
- updated ooo-build to version 3.1.0.99.1 (3.1.1-beta1)
* Mon Jun 29 2009 pmladek@suse.cz
- updated to the milestone ooo310-m14
- updated ooo-build to version 3.1.0.98.2 (3.1.1-alpha2)
* Mon Jun 15 2009 pmladek@suse.cz
- updated to the milestone ooo310-m13
- updated ooo-build to version 3.1.0.98.1 (3.1.1-alpha1)
- added libkde4-devel in BuildRequires for openSUSE-11.2
- created kde4 subpackage for openSUSE-11.2
* Thu May 28 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.6 (3.1-rc7 == final)
* Tue May 26 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.5 (3.1-rc6)
* Fri May 22 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.4 (3.1-rc5)
* Thu May 21 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.3 (3.1-rc4)
* Tue May 19 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.2 (3.1-rc3)
* Fri May 15 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.1  (3.1-rc2)
* Thu May  7 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.0  (3.1-rc1)
* Thu Apr 30 2009 pmladek@suse.cz
- updated to the milestone ooo310-m11 (3.1-rc2)
- updated ooo-build to version 3.0.99.7 (3.1-beta7)
* Fri Apr 24 2009 pmladek@suse.cz
- updated to the milestone ooo310-m10
- updated ooo-build to version 3.0.99.6 (3.1-beta6)
- updated extra localization sources: be-BY, bg, cs, da, el, et, fi, ga, km,
  lt, mk, sk, sl
* Fri Apr 17 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.99.5 (3.1-beta5)
* Wed Apr  8 2009 pmladek@suse.cz
- updated to the milestone ooo310-m9
- updated ooo-build to version 3.0.99.4 (3.1-beta4)
* Fri Mar 27 2009 pmladek@suse.cz
- updated to the milestone ooo310-m7
- updated ooo-build to version 3.0.99.3 (3.1-beta3)
* Fri Mar 20 2009 pmladek@suse.cz
- updated to the milestone ooo310-m6
- updated ooo-build to version 3.0.99.2 (3.1-beta2)
* Tue Mar 10 2009 pmladek@suse.cz
- updated to the milestone ooo310-m4
- updated ooo-build to version 3.0.99.1 (3.1-beta1)
- updated postgresql driver to version 0.7.6
- used the renamed libs-core source tarball
* Fri Feb 20 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.16.1
* Fri Feb  6 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.15
* Fri Jan 23 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.13
- added ExclusiveArch: %%%%%%%%ix86 x86_64 ppc (bnc#465252)
- removed the obsolete hack to remove X-SuSE-translate=false
* Fri Jan  9 2009 pmladek@suse.cz
- added %%%%%%%%suse_update_desktop_file ooo-extension-manager (bnc#447083)
* Fri Jan  9 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.11
* Fri Dec  5 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.10
* Fri Nov 21 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.9
  * moved kdefilepicker to the -kde subpackage (bnc#444060)
- added extra localizations sources
* Fri Nov  7 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.8
* Mon Oct 27 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.7
- added OpenOffice_org-gnome, OpenOffice_org-kde, and
  OpenOffice_org-mailmerge to requires of the devel package;
  the devel package is common for all subpackages
* Fri Oct 10 2008 pmladek@suse.cz
- updated to the milestone ooo300-m9 (3.0rc4)
- updated ooo-build to version 3.0.0.6
- added BuildIgnore OpenOffice_org to avoid cyclic build dependency
- added OpenOffice_org-artwork-devel to BuildRequires to fix missing
  icons and incomplete dialogs
- removed the obsolete hack with extra libs_gui sources
* Sat Sep 27 2008 pmladek@suse.cz
- updated to the milestone ooo300-m7 (3.0rc2)
- updated ooo-build to version 3.0.0.5
- added base-drivers-postgresql subpackage (fate#304558)
- added postgresql-devel to BuildRequires
- added Requires OpenOffice_org = %%%%version
- added Supplements OpenOffice_org
- added libs-gui sources as a temporary hack
* Sat Sep 27 2008 pmladek@suse.cz
- updated to the milestone ooo300-m7 (3.0rc2)
- updated ooo-build to version 3.0.0.5
* Thu Sep 11 2008 pmladek@suse.cz
- split from the main OpenOffice_org package, version 3.0.0.4
